Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.soa.esb.listeners.config.xbeanmodel
Interface SqlListenerDocument.SqlListener

All Superinterfaces:
  Listener, org.apache.xmlbeans.XmlObject, org.apache.xmlbeans.XmlTokenSource

All Known Implementing Classes:
  SqlListenerDocumentImpl.SqlListenerImpl

Enclosing interface:
  SqlListenerDocument

    public static interface SqlListenerDocument.SqlListener

extends Listener

An XML sql-listener(@http://anonsvn.labs.jboss.com/labs/jbossesb/trunk/product/etc/schemas/xml/jbossesb-1.0.1.xsd). This is a complex type.

Nested Class Summary
`static class` | `SqlListenerDocument.SqlListener.Factory` A factory class with static methods for creating instances of this type.
`static interface` | `SqlListenerDocument.SqlListener.PollFrequencySeconds` An XML poll-frequency-seconds(@).

Field Summary
`static org.apache.xmlbeans.SchemaType` | `type`

Fields inherited from interface org.apache.xmlbeans.XmlObject
`EQUAL, GREATER_THAN, LESS_THAN, NOT_EQUAL`

Method Summary
`SqlMessageFilterDocument.SqlMessageFilter` | `addNewSqlMessageFilter()` Appends and returns a new empty "sql-message-filter" element
`java.math.BigInteger` | `getPollFrequencySeconds()` Gets the "poll-frequency-seconds" attribute
`SqlMessageFilterDocument.SqlMessageFilter` | `getSqlMessageFilter()` Gets the "sql-message-filter" element
`boolean` | `isSetPollFrequencySeconds()` True if has "poll-frequency-seconds" attribute
`boolean` | `isSetSqlMessageFilter()` True if has "sql-message-filter" element
`void` | `setPollFrequencySeconds(java.math.BigInteger pollFrequencySeconds)` Sets the "poll-frequency-seconds" attribute
`void` | `setSqlMessageFilter(SqlMessageFilterDocument.SqlMessageFilter sqlMessageFilter)` Sets the "sql-message-filter" element
`void` | `unsetPollFrequencySeconds()` Unsets the "poll-frequency-seconds" attribute
`void` | `unsetSqlMessageFilter()` Unsets the "sql-message-filter" element
`SqlListenerDocument.SqlListener.PollFrequencySeconds` | `xgetPollFrequencySeconds()` Gets (as xml) the "poll-frequency-seconds" attribute
`void` | `xsetPollFrequencySeconds(SqlListenerDocument.SqlListener.PollFrequencySeconds pollFrequencySeconds)` Sets (as xml) the "poll-frequency-seconds" attribute

Methods inherited from interface org.jboss.soa.esb.listeners.config.xbeanmodel.Listener
`addNewProperty, getBusidref, getIsGateway, getMaxThreads, getName, getPropertyArray, getPropertyArray, getPropertyList, insertNewProperty, isSetBusidref, isSetIsGateway, isSetMaxThreads, removeProperty, setBusidref, setIsGateway, setMaxThreads, setName, setPropertyArray, setPropertyArray, sizeOfPropertyArray, unsetBusidref, unsetIsGateway, unsetMaxThreads, xgetBusidref, xgetIsGateway, xgetMaxThreads, xgetName, xsetBusidref, xsetIsGateway, xsetMaxThreads, xsetName`

Methods inherited from interface org.apache.xmlbeans.XmlObject
`changeType, compareTo, compareValue, copy, execQuery, execQuery, isImmutable, isNil, schemaType, selectAttribute, selectAttribute, selectAttributes, selectChildren, selectChildren, selectChildren, selectPath, selectPath, set, setNil, substitute, toString, validate, validate, valueEquals, valueHashCode`

Methods inherited from interface org.apache.xmlbeans.XmlTokenSource
`documentProperties, dump, getDomNode, monitor, newCursor, newDomNode, newDomNode, newInputStream, newInputStream, newReader, newReader, newXMLInputStream, newXMLInputStream, newXMLStreamReader, newXMLStreamReader, save, save, save, save, save, save, save, save, xmlText, xmlText`

Field Detail

### type

    static final org.apache.xmlbeans.SchemaType type

Method Detail

### getSqlMessageFilter

    SqlMessageFilterDocument.SqlMessageFilter getSqlMessageFilter()

  Gets the "sql-message-filter" element

### isSetSqlMessageFilter

    boolean isSetSqlMessageFilter()

  True if has "sql-message-filter" element

### setSqlMessageFilter

    void setSqlMessageFilter(SqlMessageFilterDocument.SqlMessageFilter sqlMessageFilter)

  Sets the "sql-message-filter" element

### addNewSqlMessageFilter

    SqlMessageFilterDocument.SqlMessageFilter addNewSqlMessageFilter()

  Appends and returns a new empty "sql-message-filter" element

### unsetSqlMessageFilter

    void unsetSqlMessageFilter()

  Unsets the "sql-message-filter" element

### getPollFrequencySeconds

    java.math.BigInteger getPollFrequencySeconds()

  Gets the "poll-frequency-seconds" attribute

### xgetPollFrequencySeconds

    SqlListenerDocument.SqlListener.PollFrequencySeconds xgetPollFrequencySeconds()

  Gets (as xml) the "poll-frequency-seconds" attribute

### isSetPollFrequencySeconds

    boolean isSetPollFrequencySeconds()

  True if has "poll-frequency-seconds" attribute

### setPollFrequencySeconds

    void setPollFrequencySeconds(java.math.BigInteger pollFrequencySeconds)

  Sets the "poll-frequency-seconds" attribute

### xsetPollFrequencySeconds

    void xsetPollFrequencySeconds(SqlListenerDocument.SqlListener.PollFrequencySeconds pollFrequencySeconds)

  Sets (as xml) the "poll-frequency-seconds" attribute

### unsetPollFrequencySeconds

    void unsetPollFrequencySeconds()

  Unsets the "poll-frequency-seconds" attribute

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD